Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | Oracle Corporation
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wlcp.wlng.api.servicecorrelation
Interface ExternalInvocation

public interface ExternalInvocation

This interface needs to be implemented in case you would like to extend service correlation's ID functionality to the WebLogic Network Gatekeeper. The implementation class should have a empty public constructor or a static method that returns itself.

  Copyright © 2008 Oracle Corporation Systems, Inc. All Rights Reserved.

Method Summary
`String` | `getServiceCorrelationID(String scID, String serviceName, String methodName, String spID, String appID, String appInstGrpID)` Retrievs the service correlation's ID from an external source There are two very distinct differences of this method: One where the scID parameter is 'null', then it's up to the external source to populate the scID through returning of the proper service correlation identifier.
`String` | `pushServiceCorrelationID(String scID, String serviceName, String methodName, String spID, String appID, String appInstGrpID)` Sends the service correlation's ID to an external source The external source is free to modify the 'scID' and then return that modified value - or even discard it and send back 'null' - which will then have the consequence of the service correlation identifier not being used.

Method Detail

### getServiceCorrelationID

    public String getServiceCorrelationID(String scID,
                                          String serviceName,
                                          String methodName,
                                          String spID,
                                          String appID,
                                          String appInstGrpID)
                                   throws ExternalInvocationException

  Retrievs the service correlation's ID from an external source There are two very distinct differences of this method: One where the scID parameter is 'null', then it's up to the external source to populate the scID through returning of the proper service correlation identifier. The second is where the scID is not 'null' and thus it has been previously populated by the application or external system. The external application has then the chance to modify the scID before returning that value. For instance pushServiceCorrelationID(scID, ...) could return a modified version of the scID. For instance the input into the method is '123' but the modified scID is 'abc:123'. If it reaches the 'getServiceCorrelationID' and sends in 'abc:123' the external system could perhaps like to remove the 'abc:' part of the scID before handing it off to the application. Such manipulation is possible.

  Parameters:
    `scID` - if a service correlation's ID already exists, send this to the external source for chance of modification
    `serviceName` - the service name
    `methodName` - the method name
    `spID` - the service provider identifier
    `appID` - the application identifier
    `appInstGrpID` - the application instance group
  Returns:
    the combine services ID
  Throws:
    `ExternalInvocationException`

### pushServiceCorrelationID

    public String pushServiceCorrelationID(String scID,
                                           String serviceName,
                                           String methodName,
                                           String spID,
                                           String appID,
                                           String appInstGrpID)
                                    throws ExternalInvocationException

  Sends the service correlation's ID to an external source The external source is free to modify the 'scID' and then return that modified value - or even discard it and send back 'null' - which will then have the consequence of the service correlation identifier not being used.

  Parameters:
    `scID` - the service correlation's ID that should be sent
    `serviceName` - the service name
    `methodName` - the method name
    `spID` - the service provider identifier
    `appID` - the application identifier
    `appInstGrpID` - the application instance group
  Returns:
    a perhaps modified service correlation's ID
  Throws:
    `ExternalInvocationException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | Oracle Corporation
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD